{{- define "libdjango.django-hpa.tpl" }}
apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: {{ .Release.Name | quote }}
  labels:
    {{- include "libdjango.labels" . | nindent 4 }}
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ .Release.Name | quote }}
  minReplicas: {{ .Values.django.autoscaling.minReplicas }}
  maxReplicas: {{ .Values.django.autoscaling.maxReplicas }}
  metrics:
    {{- if .Values.django.autoscaling.targetCPUUtilizationPercentage }}
    - type: Resource
      resource:
        name: cpu
        targetAverageUtilization: {{ .Values.django.autoscaling.targetCPUUtilizationPercentage }}
    {{- end }}
    {{- if .Values.django.autoscaling.targetMemoryUtilizationPercentage }}
    - type: Resource
      resource:
        name: memory
        targetAverageUtilization: {{ .Values.django.autoscaling.targetMemoryUtilizationPercentage }}
    {{- end }}
{{- end -}}
{{- define "libdjango.django-hpa" -}}
{{- include "libdjango.merge" (append . "libdjango.django-hpa.tpl") -}}
{{- end -}}
